API referenceChannels
Create a channel
POST
/v1/projects/{project_id}/channelsRequires role admin or higher. Counts against the plan limit channels_per_project.
A webhook channel's signing secret is in the response only.
AuthorizationBearer <token>
A session token from /v1/auth/sign-in/email (CLI, scripts).
In: header
Path Parameters
project_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/projects/string/channels" \ -H "Authorization: Bearer $DLOGIFY_SESSION" \ -H "Content-Type: application/json" \ -d '{ "member_id": "string", "name": "string", "type": "email" }'{ "created_at": "2019-08-24T14:15:22Z", "email": "string", "enabled": true, "health": "ok", "id": "string", "member_id": "string", "name": "string", "project_id": "string", "type": "email", "updated_at": "2019-08-24T14:15:22Z"}